--TEST--
basic #51 - basic context
--DESCRIPTION--
basic context - pathed block functions without context argument
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{#foo.awesome}}inner{{/foo.awesome}}';
$context = array(
        'foo' => array(
            'awesome' => function($scope) { return $scope; }/*function () { return this; }*/,
        ),
    );
$options = array();
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--
inner