--TEST--
sections #18 - Surrounding Whitespace
--DESCRIPTION--
Surrounding Whitespace - Sections should not alter surrounding whitespace.
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = ' | {{#boolean}}	|	{{/boolean}} | 
';
$context = array(
        'boolean' => true,
    );
$options = array(
        'compat' => true,
        'mustacheStyleLambdas' => true,
    );
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--
 | 	|	 | 
